## ros-humble-ros2launch-security-examples 1.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(ros2launch_security_examples)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)

find_package(ament_nodl REQUIRED)
find_package(example_interfaces REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(rclpy REQUIRED)
find_package(sensor_msgs REQUIRED)

add_library(fake_imu_library SHARED src/fake_imu.cpp)
ament_target_dependencies(fake_imu_library rclcpp rclcpp_components sensor_msgs example_interfaces)
rclcpp_components_register_node(fake_imu_library
  PLUGIN "ros2launch_security_examples::FakeImu"
  EXECUTABLE fake_imu
)
# TODO(wjwwood): go back to organizing these into a nodl folder when this is fixed:
#   https://github.com/ubuntu-robotics/nodl/issues/41
# nodl_export_node_description_file(nodl/fake_imu.nodl.xml)
nodl_export_node_description_file(fake_imu.nodl.xml)

add_library(imu_sink_library SHARED src/imu_sink.cpp)
ament_target_dependencies(imu_sink_library rclcpp rclcpp_components sensor_msgs example_interfaces)
rclcpp_components_register_node(imu_sink_library
  PLUGIN "ros2launch_security_examples::ImuSink"
  EXECUTABLE imu_sink
)
# TODO(wjwwood): go back to organizing these into a nodl folder when this is fixed:
#   https://github.com/ubuntu-robotics/nodl/issues/41
# nodl_export_node_description_file(nodl/imu_sink.nodl.xml)
nodl_export_node_description_file(imu_sink.nodl.xml)

install(
  TARGETS
    fake_imu_library
    imu_sink_library
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

# Install launch files.
install(DIRECTORY
  launch
  DESTINATION share/${PROJECT_NAME}/
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(launch_testing_ament_cmake REQUIRED)

  get_default_rmw_implementation(default_rmw_implementation)

  add_launch_test(
    "test/test_fake_imu_launch.py"
    TARGET test_fake_imu_launch
    TIMEOUT 60
    ENV
      RCL_ASSERT_RMW_ID_MATCHES=${default_rmw_implementation}
      RMW_IMPLEMENTATION=${default_rmw_implementation}
  )

  add_launch_test(
    "test/test_fake_imu_launch_with_security.py"
    TARGET test_fake_imu_launch_with_security
    TIMEOUT 60
    ENV
      RCL_ASSERT_RMW_ID_MATCHES=${default_rmw_implementation}
      RMW_IMPLEMENTATION=${default_rmw_implementation}
  )

  add_launch_test(
    "test/test_fake_imu_launch_with_security_nodltopolicy.py"
    TARGET test_fake_imu_launch_with_security_nodl_to_policy
    TIMEOUT 60
    ENV
      RCL_ASSERT_RMW_ID_MATCHES=${default_rmw_implementation}
      RMW_IMPLEMENTATION=${default_rmw_implementation}
  )

  set_tests_properties(
    test_fake_imu_launch
    test_fake_imu_launch_with_security
    test_fake_imu_launch_with_security_nodl_to_policy
    PROPERTIES
      DEPENDS fake_imu
      DEPENDS imu_sink
  )
endif()

ament_package()

=== debian/changelog ===
ros-humble-ros2launch-security-examples (1.0.0-3jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Ted Kern <ted.kern@canonical.com>  Wed, 20 Apr 2022 02:35:14 -0000

=== debian/control ===
Source: ros-humble-ros2launch-security-examples
Section: misc
Priority: optional
Maintainer: Ted Kern <ted.kern@canonical.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-ament-nodl, ros-humble-example-interfaces, ros-humble-launch-testing <!nocheck>, ros-humble-launch-testing-ament-cmake <!nocheck>, ros-humble-launch-testing-ros <!nocheck>, ros-humble-nodl-python <!nocheck>, ros-humble-nodl-to-policy <!nocheck>, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-rclpy, ros-humble-ros2launch-security, ros-humble-sensor-msgs, ros-humble-sros2 <!nocheck>, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-ros2launch-security-examples
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-ament-nodl, ros-humble-example-interfaces, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-rclpy, ros-humble-ros2launch-security, ros-humble-sensor-msgs, ros-humble-ros-workspace
Description: Examples of how to use the ros2launch_security extension.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-ros2launch-security-examples//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
